import { CreateMqlQueryMutationVariables } from "../../mutations/mql/MqlMutationTypes";
declare type UseMqlQueryParams = {
    metricName: string;
    queryInput?: CreateMqlQueryMutationVariables;
    skip?: boolean;
    retries?: number;
};
export default function useMqlQuery({ queryInput, metricName, skip, retries, }: UseMqlQueryParams): {
    retryWhileRunning: () => void;
    retries: number;
    queryId: string | null;
    queryStatus: import("../../queries/mql/MqlQueryTypes").MqlQueryStatus;
    data?: import("../../queries/mql/MqlQueryTypes").Maybe<{
        __typename?: "MqlQuery" | undefined;
    } & Pick<import("../../queries/mql/MqlQueryTypes").MqlQuery, "error" | "id" | "metrics" | "dimensions" | "status" | "chartValueMin" | "chartValueMax"> & {
        result?: import("../../queries/mql/MqlQueryTypes").Maybe<({
            __typename?: "MqlQueryResultSeries" | undefined;
        } & Pick<import("../../queries/mql/MqlQueryTypes").MqlQueryResultSeries, "seriesValue"> & {
            data?: import("../../queries/mql/MqlQueryTypes").Maybe<({
                __typename?: "TimeSeriesDatum" | undefined;
            } & Pick<import("../../queries/mql/MqlQueryTypes").TimeSeriesDatum, "xDate" | "y">)[]> | undefined;
        })[]> | undefined;
    }> | undefined;
    cancelledQueries: string[];
    fetchStartTime: number | null;
    isTakingForever: boolean;
    errorMessage?: string | undefined;
    doRetryAfterExpiredQuery: boolean;
};
export {};
